<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- 		@author fabio.navarrete 		-->
<!-- 	 Pantalla que extrae los datos 		-->
<!-- 	básicos de la radicación de avisos 	-->

<!--
    -solicitudAvisoParam: objeto de tipo SolicitudAvisoRegistro que 
        contendrá los datos requeridos para almacenar la solicitud de avisos.
    -showComponentParam: Parámetro que indica si se muestra o no esta sección
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui"
             rendered="#{showComponentParam}" columns="6"
             cellpadding="5">

    <h:outputLabel value="Círculo registral: "
                   styleClass="outputLabelStyle" />
    <h:outputText value="#{solicitudAvisoParam.circuloRegistral.nombre}" />

    <h:outputLabel value="Número documento soporte: "
                   styleClass="outputLabelStyle" />
    <h:outputText value="#{solicitudAvisoParam.numeroDocumentoSoporte}" />

    <h:outputLabel value="Fecha documento: " styleClass="outputLabelStyle" />
    <h:outputText value="#{solicitudAvisoParam.fechaDocumentoSoporte}">
        <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
    </h:outputText>

    <h:outputLabel value="Número de avisos: " styleClass="outputLabelStyle" />
    <h:outputText value="#{solicitudAvisoParam.avisosTotal}" />

    <h:outputLabel value="Número de avisos radicados: "
                   styleClass="outputLabelStyle" />
    <h:outputText value="#{solicitudAvisoParam.avisosAceptados}"
                  styleClass="outputTextStyle" />
    <h:outputLabel value="Número de avisos descartados: "
                   styleClass="outputLabelStyle" />
    <h:outputText value="#{solicitudAvisoParam.avisosRechazados}"
                  styleClass="outputTextStyle" />
    <h:outputLabel value="Número de avisos pendientes: "
                   styleClass="outputLabelStyle" />
    <h:outputText value="#{solicitudAvisoParam.avisosPendientes}"
                  styleClass="outputTextStyle" />
</h:panelGrid>